package supplier

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type Supplier struct {
	Goods goods
	supplier
}

type supplier struct {
}

type ArgsSupplierAdd struct {
	SupplierName string // 供应商名称
	Account      string // 账户
	Password     string // 密码
	PayType      uint   // 结算类型
	Liaison      string // 联系人
	Phone        string // 手机号
	Annex        string // 附件
	ApplyUserId  uint   // 申请人Id
}

// Add @Title 添加供应商
func (s *supplier) Add(ctx context.Context, args ArgsSupplierAdd) error {
	xClient, err := client.GetClient(s)
	if err != nil {
		return err
	}
	reply := 0
	return xClient.Call(ctx, "Add", args, &reply)
}
